/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "clubtab.h"

/**
 * Club Tab constructor.
 */
ClubTab::ClubTab(QWidget *parent) : QWidget(parent) {
	init();
}

/**
 * Club Tab destructor.
 */
ClubTab::~ClubTab() {
	delete label;
	delete mainLayout;
}

/**
 * \brief Club Tab initializer.
 *
 * Set text into Club Tab.
 */
void ClubTab::init() {
	mainLayout = new QVBoxLayout;
	QString text;
	text = "<table cellspacing=\"3\">";
	text += "<tr><td>" + tr("Club") + "</td><td><span style=\"color:red;\">" + club.name + "</span></td></tr>";
	text += "<tr><td>" + tr("Budget") + "</td><td>" + club.budget + "&euro;</td></tr>";
	text += "<tr><td>" + tr("Rating") + "</td><td>" + QString().setNum((float)club.rat.toInt()/10) + "%</td></tr>";
	text += "<tr><td>" + tr("Team spirit") + "</td><td>" + QString().setNum((float)club.spirit.toInt()/10) + "%</td></tr>";
	QString division;
	if(club.curdiv.toInt()<=1) {
		division = "A";
	} else if(club.curdiv.toInt()<=4) {
		int number = club.curdiv.toInt() - 1;
		division = "B." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=13) {
		int number = club.curdiv.toInt() - 4;
		division = "C." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=40) {
		int number = club.curdiv.toInt() - 13;
		division = "D." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=121) {
		int number = club.curdiv.toInt() - 40;
		division = "E." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=364) {
		int number = club.curdiv.toInt() - 121;
		division = "F." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=1093) {
		int number = club.curdiv.toInt() - 364;
		division = "G." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=3280) {
		int number = club.curdiv.toInt() - 1093;
		division = "H." + QString().setNum(number);
	} else if(club.curdiv.toInt()<=9841) {
		int number = club.curdiv.toInt() - 3280;
		division = "I." + QString().setNum(number);
	}
	text += "<tr><td>" + tr("Current position") + "</td><td>" + club.curpos + ". " + division + "</td></tr>";
	text += "<tr><td>" + tr("Form") + "</td><td>" + club.form + "</td></tr>";
	text += "</table>";
	label = new QLabel(text);
	mainLayout->addWidget(label);
	setLayout(mainLayout);
}

/**
 * \brief Slot assigned to data change action.
 * 
 * Rebuild UI with new data.
 */
void ClubTab::dataChanged() {
	rebuildUI();
}

/**
 * \brief Redraw UI with new data.
 *
 * Destroy old widget and initialize new one..
 */
void ClubTab::rebuildUI() {
	label->clear();
	delete mainLayout;
	init();
}
