/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef CLUBTAB__H__
#define CLUBTAB__H__

#include <QWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

/// Struct with club information.
struct ClubStruct {
	QString name, budget, rat, fndd, spirit, curpos, curdiv, totgmade, totgrecv, curgmade, curgrecv, curlgmade, curlgrecv, tothgames, totwins, totdraws, totlosts, curhgames, curwins, curdraws, curlosts, curlwins, curldraws, curllosts, totmaxatt, curmaxatt, totavgatt, curavgatt, form, for_a, tactic_a, attstyle_a, agr_a, cap_a;
	bool incup;
};

extern void parse(const QString &);
extern ClubStruct club;

/// Club Tab widget.
class ClubTab: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLabel *label;
public:
	ClubTab(QWidget *parent = 0);
	~ClubTab();
	
	void rebuildUI();
private:
	void init();
public slots:
	void dataChanged();
};

#endif
