/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef CONFIGTAB__H__
#define CONFIGTAB__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGroupBox>
#include <QPushButton>
#include <QComboBox>
#include <QLabel>
#include <QLineEdit>
#include <QFile>
#include <QtNetwork>
#include <QMessageBox>
//#include <QTextStream>

#include "proxyset.h"

extern void parse(const QString &);

/// Config widget.
class ConfigTab: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout, *group1Layout, *group2Layout;
	QHBoxLayout *row1, *row2;
	QFile *file;
	QHttp *http;
	QString num;
	int httpId;
	QLineEdit *nick, *pass;
	QPushButton *butDown, *butProxy;
	int langToSave;
	QLabel *msgbox;
	int useProxy;
	ProxySet *proxyWin;
	QLabel *warnLabel, *nickLabel, *passLabel;
	QGroupBox *group1, *group2;
	QComboBox *lang;
	QPushButton *setLang;
	QLabel *langWarn;
public:
	ConfigTab(QWidget *parent = 0);
	~ConfigTab();
private slots:
	void httpRequestFinished(int requestId, bool error);
	void readResponseHeader(const QHttpResponseHeader &responseHeader);
	void downloadLatest();
	
	void changeLang(int langId);
	void saveSettings();
	
	void showMsgBox(const QString &);
	void openProxy();
signals:
	void dataLoaded();
	void errMsgBox(const QString &);
};

#endif
