/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef PERFORMANCETAB__H__
#define PERFORMANCETAB__H__

#include <QWidget>
#include <QComboBox>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QPushButton>
#include <QLabel>
#include <QSettings>

#include "playerdetail.h"
#include "clubtab.h"

extern void parse(const QString &);
extern int playerCnt;
extern Player pls[];

extern ClubStruct club;

/// Performance widget.
class PerformanceTab: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QComboBox *player[11];
	QLabel *postLabel[11];
	QLabel *plPerfLabel[11];
	QComboBox *orders[11];
	QComboBox *format;
	QComboBox *aggression;
	QComboBox *home;
	QHBoxLayout *plCont[11];
	QLabel *result;
	QPushButton *cButt;
	QHBoxLayout *container;
	QPushButton *reorderPl;
	
	double defs;	//defender points count
	int defsC;	//count of defenders
	double mids;	//midfield points count
	int midsC;
	double fors;		//forward points count
	int forsC;
	int aggress;	//aggression
	
	void countPerf();
	void postLabels();	//redraw position labels
	void init();
	int findFirstOnPost(const QString &);		// find first player of
public:
	PerformanceTab(QWidget *parent = 0);
	~PerformanceTab();
protected slots:
	void formatChange(int);
	void recount();
	void aggressChange(int);
	void playerChange(int);
	void dataChanged();
	void reorderPlayers();
};

#endif
