/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "playerdetail.h"

/**
 * \brief Player Detail Widget constructor.
 */
PlayerDetail::PlayerDetail(int idx, QWidget * parent): QWidget(parent), i(idx) {
	mainLayout = new QVBoxLayout;
	QString info = "<table>";
	info += "<tr><td>" + pls[i].fname + " " + pls[i].lname + "</td><td>[" + pls[i].age + "]</td></td>";
	info += "<tr><td>" + tr("Position") + "</td><td><span style=\"color:red;\">" + pls[i].position + "</span></td></td>";
	info += "<td><td>" + tr("Rating") + "</td><td><span style=\"color:red;\">" + pls[i].rating + "%</span></td></tr>";
	info += "<tr><td>" + tr("Moral") + "</td><td><span style=\"color:red;\">" + pls[i].morale + "%</span></td></td>";
	info += "<td><td>" + tr("Aggresion") + "</td><td><span style=\"color:red;\">" + pls[i].aggresion + "%</span></td></tr>";
	info += "<tr><td>" + tr("Fitness") + "</td><td><span style=\"color:red;\">" + pls[i].fitness + "%</span></td></td>";
	info += "<td><td>" + tr("Experience") + "</td><td><span style=\"color:red;\">" + pls[i].experience + "%</span></td></tr>";
	info += "<tr><td>" + tr("Stamina") + "</td><td><span style=\"color:red;\">" + pls[i].condition + "%</span></td></td>";
	info += "<td><td>" + tr("Best rate") + "</td><td><span style=\"color:red;\">" + pls[i].bestRate + "</span></td></tr>";
	info += "<tr><td>" + tr("Form") + "</td><td><span style=\"color:red;\">" + pls[i].form + "</span></td></tr>";
	info += "<tr></tr>";
	info += "<tr><td>" + tr("Speed") + "</td><td><span style=\"color:red;\">" + pls[i].speed + "%</span></td></td>";
	info += "<td><td>" + tr("Ball controll") + "</td><td><span style=\"color:red;\">" + pls[i].ballCntrl + "%</span></td></tr>";
	if(pls[i].position=="GK") {
		info += "<tr><td>" + tr("Courage") + "</td><td><span style=\"color:red;\">" + pls[i].skill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Flexibility") + "</td><td><span style=\"color:red;\">" + pls[i].skill[1] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Jumping") + "</td><td><span style=\"color:red;\">" + pls[i].skill[2] + "%</span></td></td>";
		info += "<td><td>" + tr("Goalkicks") + "</td><td><span style=\"color:red;\">" + pls[i].skill[3] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Play along") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Reflex") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[1] + "%</span></td></tr>";
	} else if(pls[i].position == "LB" || pls[i].position == "CB" || pls[i].position == "RB" || pls[i].position == "SW") {
		info += "<tr><td>" + tr("Passing") + "</td><td><span style=\"color:red;\">" + pls[i].skill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Shooting") + "</td><td><span style=\"color:red;\">" + pls[i].skill[1] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Play it out") + "</td><td><span style=\"color:red;\">" + pls[i].skill[2] + "%</span></td></td>";
		info += "<td><td>" + tr("Strength") + "</td><td><span style=\"color:red;\">" + pls[i].skill[3] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Heading") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Tackling") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[1] + "%</span></td></tr>";
	} else if(pls[i].position == "LM" || pls[i].position == "CM" || pls[i].position == "RM") {
		info += "<tr><td>" + tr("Heading") + "</td><td><span style=\"color:red;\">" + pls[i].skill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Shooting") + "</td><td><span style=\"color:red;\">" + pls[i].skill[1] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Tackling") + "</td><td><span style=\"color:red;\">" + pls[i].skill[2] + "%</span></td></td>";
		info += "<td><td>" + tr("Strength") + "</td><td><span style=\"color:red;\">" + pls[i].skill[3] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Passing") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Playmaking") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[1] + "%</span></td></tr>";
	} else if(pls[i].position == "LF" || pls[i].position == "CF" || pls[i].position == "RF") {
		info += "<tr><td>" + tr("Passing") + "</td><td><span style=\"color:red;\">" + pls[i].skill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Tackling") + "</td><td><span style=\"color:red;\">" + pls[i].skill[1] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Insight") + "</td><td><span style=\"color:red;\">" + pls[i].skill[2] + "%</span></td></td>";
		info += "<td><td>" + tr("Strength") + "</td><td><span style=\"color:red;\">" + pls[i].skill[3] + "%</span></td></tr>";
		info += "<tr><td>" + tr("Heading") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[0] + "%</span></td></td>";
		info += "<td><td>" + tr("Shooting") + "</td><td><span style=\"color:red;\">" + pls[i].specSkill[1] + "%</span></td></tr>";
	}
	info += "</table><hr><table>";
	int hidden = ((pls[i].rating.toInt() * 15) - pls[i].morale.toInt() - pls[i].experience.toInt() - pls[i].condition.toInt() - pls[i].speed.toInt() - pls[i].ballCntrl.toInt() - pls[i].skill[0].toInt() - pls[i].skill[1].toInt() - pls[i].skill[2].toInt() - pls[i].skill[3].toInt() - 2*pls[i].specSkill[0].toInt() - 2*pls[i].specSkill[1].toInt())/2;
	info += "<tr><td>" + tr("Estimated Hidden") + "</td><td><span style=\"color:red;\">" + QString().setNum(hidden) + "%</span></td></tr>";
	if(pls[i].morale.toInt()<100) {
		int rating_mor = ((pls[i].rating.toInt() * 15) + (100 - pls[i].morale.toInt())) / 15;
		info += "<tr><td>" + tr("Rating with 100% morale") + "</td><td><span style=\"color:red;\">" + QString().setNum(rating_mor) + "%</span></td></tr>";
	}
	if(pls[i].experience.toInt()<100 && pls[i].morale.toInt()<100) {
		int rating_all = ((pls[i].rating.toInt() * 15) + (100 - pls[i].experience.toInt()) + (100 - pls[i].morale.toInt())) / 15;
		info += "<tr><td>" + tr("Rating with 100% experience and morale") + "</td><td><span style=\"color:red;\">" + QString().setNum(rating_all) + "%</span></td></tr>";
	} else if(pls[i].experience.toInt()<100) {
		int rating_exp = ((pls[i].rating.toInt() * 15) + (100 - pls[i].experience.toInt())) / 15;
		info += "<tr><td>" + tr("Rating with 100% experience") + "</td><td><span style=\"color:red;\">" + QString().setNum(rating_exp) + "%</span></td></tr>";
	}
	info += "<tr><td></td><td></td></tr>";
	info += "<tr><td>" + tr("Order") + " - " + tr("Normal") + "</td><td>0.00%</td></tr>";
	if(pls[i].position=="GK") {
		int plus = pls[i].specSkill[0].toInt() + pls[i].speed.toInt();
		int minus = pls[i].specSkill[1].toInt() + pls[i].skill[0].toInt();
		QString temp;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += "<tr><td>" + tr("Order") + " - " + tr("Play along") + "</td><td>" + temp + "%</td></tr>";
	} else if(pls[i].position == "LB" || pls[i].position == "RB") {
		int plus = pls[i].skill[0].toInt() + pls[i].speed.toInt();
		int minus = pls[i].specSkill[0].toInt() + pls[i].skill[3].toInt();
		QString temp;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		QString text = "<tr><td>" + tr("Order") + " - " + tr("Play along wing") + "</td><td>" + temp + "%</td></tr>";
		plus = pls[i].skill[0].toInt();
		minus = pls[i].specSkill[1].toInt();
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += text + "<tr><td>" + tr("Order") + " - " + tr("Play it out") + "</td><td>" + temp + "%</td></tr>";
	} else if(pls[i].position == "CB") {
		int plus = pls[i].skill[0].toInt();
		int minus = pls[i].specSkill[1].toInt();
		QString temp;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += "<tr><td>" + tr("Order") + " - " + tr("Play it out") + "</td><td>" + temp + "%</td></tr>";
	} else if(pls[i].position == "LM" || pls[i].position == "RM") {
		int plus = pls[i].specSkill[0].toInt() + pls[i].speed.toInt();
		int minus = pls[i].skill[3].toInt() + pls[i].skill[0].toInt();
		QString temp, text;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		text = "<tr><td>" + tr("Order") + " - " + tr("Play along wing") + "</td><td>" + temp + "%</td></tr>";
		plus = pls[i].specSkill[0].toInt() + pls[i].specSkill[1].toInt();
		minus = pls[i].skill[0].toInt() + pls[i].skill[1].toInt();
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += text + "<tr><td>" + tr("Order") + " - " + tr("Passing") + "</td><td>" + temp + "%</td></tr>";
	} else if(pls[i].position == "CM") {
		int plus = pls[i].specSkill[0].toInt() + pls[i].specSkill[1].toInt();
		int minus = pls[i].skill[0].toInt() + pls[i].skill[1].toInt();
		QString temp;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += "<tr><td>" + tr("Order") + " - " + tr("Passing") + "</td><td>" + temp + "%</td></tr>";
	} else if(pls[i].position == "LF" || pls[i].position == "CF" || pls[i].position == "RF") {
		int plus = pls[i].specSkill[1].toInt() + pls[i].skill[1].toInt();
		int minus = pls[i].specSkill[0].toInt() + pls[i].skill[0].toInt();
		QString temp, text;
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		text = "<tr><td>" + tr("Order") + " - " + tr("Own chance") + "</td><td>" + temp + "%</td></tr>";
		if(pls[i].position == "CF") {
			plus = pls[i].specSkill[0].toInt() + pls[i].skill[3].toInt();
			minus = pls[i].specSkill[1].toInt() + pls[i].skill[1].toInt();
			temp.setNum((float)(plus-minus)/20, 'f', 2);
			text += "<tr><td>" + tr("Order") + " - " + tr("Targetman") + "</td><td>" + temp + "%</td></tr>";
		}
		plus = pls[i].skill[2].toInt();
		minus = pls[i].skill[1].toInt();
		temp.setNum((float)(plus-minus)/20, 'f', 2);
		info += text + "<tr><td>" + tr("Order") + " - " + tr("Free role") + "</td><td>" + temp + "%</td></tr>";
	}
	info += "</table>";
	info += tr("<br>How much points of performance orders add,<br>or remove if result is negative.");
	
	player = new QLabel(info);
	mainLayout->addWidget(player);
	setLayout(mainLayout);
}

/**
 * \brief Player Detail destructor.
 */
PlayerDetail::~PlayerDetail() {
	delete player;
	delete mainLayout;
}

