/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef PLAYERDETAIL__H__
#define PLAYERDETAIL__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

/// Struct with information parsed for each player.
struct Player {
	QString id;
	QString fname;
	QString lname;
	QString position;
	QString rating;
	QString morale;
	QString aggresion;
	QString fitness;
	QString experience;
	QString condition;
	QString speed;
	QString ballCntrl;
	QString skill[4];
	QString specSkill[2];
	QString number, birth, age, height, weight, foot, injured, injury, leagueSusp, cupSusp, contract, wage, house, car, signBonus, winBonus, totalGames, leagueGoals, cupGoals, leagueCardsY, cupCardsY, leagueCardsR, cupCardsR, friendlyGoals, friendlyCardsY, friendlyCardsR, totalInjuries, curGames, curLeagueGoals, curCupGoals, curLeagueCardsY, curCupCardsY, curLeagueCardsR, curCupCardsR, curFriendlyGoals, curFriendlyCardsY, curFriendlyCardsR, curInjuries, bestRate, form, nick, country;
};

extern Player pls[];
extern int playerCnt;

/// Player detail widget.
class PlayerDetail: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLabel *player;
	int i;
public:
	PlayerDetail(int idx, QWidget *parent = 0);
	~PlayerDetail();
};

#endif
