/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "playertab.h"

/**
 * \brief Player Container constructor.
 *
 * Add player to adequate Tab by player possition (GK, LB etc.).
 */
PlayerCont::PlayerCont(int pos, QWidget *parent) : QWidget(parent) {
	tabWidget = new QTabWidget;
	tabWidget->setTabPosition(QTabWidget::West);
	for(int i=0; i<playerCnt; ++i) {
		if(pos==0) {
			if(pls[i].position=="GK") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==1) {
			if(pls[i].position=="LB") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==2) {
			if(pls[i].position=="CB") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==3) {
			if(pls[i].position=="SW") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==4) {
			if(pls[i].position=="RB") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==5) {
			if(pls[i].position=="LM") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==6) {
			if(pls[i].position=="CM") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==7) {
			if(pls[i].position=="RM") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==8) {
			if(pls[i].position=="LF") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==9) {
			if(pls[i].position=="CF") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		} else if(pos==10) {
			if(pls[i].position=="RF") tabWidget->addTab(new PlayerDetail(i, this), pls[i].fname + " " + pls[i].lname);
		}
	}
	mainLayout = new QVBoxLayout;
	mainLayout->addWidget(tabWidget);
	setLayout(mainLayout);
}

/**
 * \brief Player Container destructor.
 */
PlayerCont::~PlayerCont() {
	delete tabWidget;
	delete mainLayout;
}

/**
 * \brief Players Tab constructor.
 *
 * Hold player possition Tabs (GK, LB...).
 */
PlayerTab::PlayerTab(QWidget *parent) : QWidget(parent) {
	initTabs();
}

/**
 * \brief Players Tab destructor.
 */
PlayerTab::~PlayerTab() {
	delete tabWidget;
	delete mainLayout;
}

/**
 * \brief Init Player Tab - add Tabs with player possition.
 */
void PlayerTab::initTabs() {
	tabWidget = new QTabWidget;
	tabWidget->setTabPosition(QTabWidget::North);
	tabWidget->addTab(new PlayerCont(0), "GK");
	tabWidget->addTab(new PlayerCont(1), "LB");
	tabWidget->addTab(new PlayerCont(2), "CB");
	tabWidget->addTab(new PlayerCont(3), "SW");
	tabWidget->addTab(new PlayerCont(4), "RB");
	tabWidget->addTab(new PlayerCont(5), "LM");
	tabWidget->addTab(new PlayerCont(6), "CM");
	tabWidget->addTab(new PlayerCont(7), "RM");
	tabWidget->addTab(new PlayerCont(8), "LF");
	tabWidget->addTab(new PlayerCont(9), "CF");
	tabWidget->addTab(new PlayerCont(10), "RF");
	
	mainLayout = new QVBoxLayout;
	mainLayout->addWidget(tabWidget);
	setLayout(mainLayout);
}

/**
 * \brief Slot assigned to data change action.
 */
void PlayerTab::dataChanged() {
	rebuildUI();
}

/**
 * \brief Redraw UI with new data.
 */
void PlayerTab::rebuildUI() {
	delete tabWidget;
	delete mainLayout;
	
	initTabs();
}

