/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef PLAYERTAB__H__
#define PLAYERTAB__H__

#include <QWidget>
#include <QTabWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

#include "playerdetail.h"

extern void parse(const QString &);
extern int playerCnt;
extern Player pls[];

/// Container for players with same possition (GK, LB..)
class PlayerCont: public QWidget {
	Q_OBJECT
	QTabWidget *tabWidget;
	QVBoxLayout *mainLayout;
public:
	PlayerCont(int pos, QWidget *parent = 0);
	~PlayerCont();
};

/// Widget with player possition Tabs.
class PlayerTab: public QWidget {
	Q_OBJECT
	QTabWidget *tabWidget;
	QVBoxLayout *mainLayout;
public:
	PlayerTab(QWidget *parent = 0);
	~PlayerTab();
	
	void rebuildUI();
private:
	void initTabs();
public slots:
	void dataChanged();
};

#endif
