/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#ifndef STADIUMTAB__H__
#define STADIUMTAB__H__

#include <QWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLabel>

struct StadiumStruct {
	QString id, name, field_status, priceLeague, priceCup, priceFriendly, priceFriendlyCup, fans, fanSatis, cap_n, cap_e, cap_s, cap_w, lights_ne, lights_se, lights_nw, lights_sw, sb1, sb2, field, parking, wc, bar, youth_center, ds_s, ds_n, ds_e, ds_w, ds_lights_ne, ds_lights_se, ds_lights_nw, ds_lights_sw, ds_sb1, ds_sb2, ds_field, ds_park, ds_wc, ds_bar;
	bool park_fu, wc_fu, bar_fu, sb_fu, lights_fu;
};

extern void parse(const QString &);
extern StadiumStruct stadium;

/// Stadium Tab widget.
class StadiumTab: public QWidget {
	Q_OBJECT
	QVBoxLayout *mainLayout;
	QLabel *label;
public:
	StadiumTab(QWidget *parent = 0);
	~StadiumTab();
	
	void rebuildUI();
private:
	void init();
public slots:
	void dataChanged();
};

#endif
