/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "staffmember.h"

/**
 * \brief Staff Member constructor.
 *
 * Display info about requested staff.
 * \param idx staff member ID.
 */
StaffMember::StaffMember(int idx, QWidget *parent): QWidget(parent), i(idx) {
	mainLayout = new QVBoxLayout;
	QString info = "<table cellspacing=\"3\">";
	info += "<tr><td>" + staff[i].name + "</td><td>[" + staff[i].age + "]</td></tr>";
	info += "<tr><td>" + tr("Role") + "</td><td><span style=\"color:red;\">";
	switch(staff[i].role.toInt()) {
		case 0: info += tr("Trainer"); break;
		case 1: info += tr("Scout"); break;
		case 2: info += tr("Doctor"); break;
		case 3: info += tr("Groundkeeper"); break;
		case 4: info += tr("Assistent"); break;
		case 5: info += tr("Physiotherapy"); break;
		case 6: info += tr("Youth manager"); break;
		default: info += staff[i].role;
	}
	info += "</span></td></tr>";
	info += "<tr><td>" + tr("Wage") + "</td><td><span style=\"color:red;\">" + staff[i].wage + "&euro;</span></td></tr>";
	info += "<tr><td>" + tr("Contract") + "</td><td><span style=\"color:red;\">" + staff[i].contr + " (" + tr("days left") + ")</span></td></tr>";
	//info += tr("Birthday") + ": <span style=\"color:red;\">" + staff[i].birth + "</span><br>";
	info += "<tr><td>" + tr("Course") + "</td><td><span style=\"color:red;\">" + staff[i].course + "</span></td></tr>";
	info += "<tr><td>" + tr("Rating") + "</td><td><span style=\"color:red;\">" + staff[i].rating + "%</span></td></tr>";
	info += "</table>";
	
	player = new QLabel(info);
	mainLayout->addWidget(player);
	setLayout(mainLayout);
}

/**
 * \brief Staff member destructor.
 */
StaffMember::~StaffMember() {
	delete player;
	delete mainLayout;
}
