/*******************************************************************
Jan Cermak | johniez | aspt.johniez.com
Creative Commons 2.5 Attribution-NonCommercial-NoDerivs 2.5 license
http://creativecommons.org/licenses/by-nc-nd/2.5/legalcode
*******************************************************************/

#include "stafftab.h"

/**
 * \brief Staff Tab constructor.
 */
StaffTab::StaffTab(QWidget *parent) : QWidget(parent) {
	initTabs();
}

/**
 * \brief Staff Tab destructor.
 */
StaffTab::~StaffTab() {
	delete tabWidget;
	delete mainLayout;
}

/**
 * \brief Add tabs for each staff members.
 */
void StaffTab::initTabs() {
	tabWidget = new QTabWidget;
	tabWidget->setTabPosition(QTabWidget::West);
	for(int i=0; i<staffCnt; ++i) {
		tabWidget->addTab(new StaffMember(i, this), staff[i].name);
	}
	
	mainLayout = new QVBoxLayout;
	mainLayout->addWidget(tabWidget);
	setLayout(mainLayout);
}

/**
 * \brief Slot assigned to data change action.
 */
void StaffTab::dataChanged() {
	rebuildUI();
}

/**
 * \brief Delete widget and draw it again.
 */
void StaffTab::rebuildUI() {
	delete tabWidget;
	delete mainLayout;
	
	initTabs();
}
